Subject: bug#18156: Thread sorting before loose threads are gathered

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 25 Jan 2017 19:22:27 +0100

Michael Welsh Duggan <[email-masked]> writes:

> Thread sorting happens before loose threads are gathered.  See the
> definition of `gnus-summary-prepare'.  Threads are made, then cut, then
> sorted, and then gathered.  I believe they should be made, cut,
> gathered, and then sorted.  A consequence of the current order is that
> using `gnus-thread-sort-by-most-recent-{number,date}' in the
> `gnus-thread-sort-functions' will not pay attention to all messages in a
> gathered thread.

No, but you have `gnus-sort-gathered-threads-function' to sort inside
the gathered threads, so I think the current algorithm is correct...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no